# btrfish
A simple btrfs backup script in fish.

## Features
  * Incremental backups
  * Pushing to a backup host

## Dependencies
btrfish depends on fish, btrfs, and ssh.

## Usage
  0. Create users on source and target and configure sudo
  1. Edit `config.fish`
  2. Run `bootstrap.fish`
  3. Enable `btrfish.timer`

## TODO
  * Recovery from transmission errors
  * Backup management
  * Correct file ownership on the target machine
  * ...
  
## License
btrfish is released under the University of Illinois/NCSA Open Source License. The full license can be found in the [LICENSE.md](LICENSE.md) file.
